﻿package {
	import flash.display.*;
	import flash.events.*;
	import flash.utils.getTimer;
	
	public class AAGun extends MovieClip {
		static const speed:Number = 150.0;
		private var lastTime:int; // animation time
		
		public function AAGun() {
			// initial location of gun
			this.x = 275;
			this.y = 340;
			this.rotation = -90;
			
			// movement
			addEventListener(Event.ENTER_FRAME,moveGun);
		}

		public function moveGun(event:Event) {
			// get time difference
			var timePassed:int = getTimer()-lastTime;
			lastTime += timePassed;
			
			// current position
			var newRotation = this.rotation;
			
			// move to the left
			if (MovieClip(parent).leftArrow) {
				newRotation -= speed*timePassed/1000;
			}
			
			// move to the right
			if (MovieClip(parent).rightArrow) {
				newRotation += speed*timePassed/1000;
			}
			// check boundaries
			if (newRotation < -170) newRotation = -170;
			if (newRotation > -20) newRotation = -20;
			
			// reposition
			this.rotation = newRotation;
		}
		
		// remove from screen and remove events
		public function deleteGun() {
			parent.removeChild(this);
			removeEventListener(Event.ENTER_FRAME,moveGun);
		}
	}
}